using FlickrNet;

namespace Schedulr.Helpers
{
    /// <summary>
    /// Provides information about the current user.
    /// </summary>
    internal class UserInfo
    {
        public string UserName;
        public string PicturesUrl;
        public string BuddyIconUrl;
        public string Status;
        public bool Pro;
        public long MaxFileSize;
        public MemberGroupInfo[] Groups = new MemberGroupInfo[0];
        public Photoset[] Sets = new Photoset[0];

        public UserInfo()
        {
            this.UserName = string.Empty;
            this.PicturesUrl = string.Empty;
            this.BuddyIconUrl = string.Empty;
            this.Status = string.Empty;
            this.MaxFileSize = long.MaxValue;
        }

        public UserInfo(string userName, string picturesUrl, string buddyIconUrl, string status, bool pro, long maxFileSize, MemberGroupInfo[] groups, Photoset[] sets)
        {
            this.UserName = userName;
            this.PicturesUrl = picturesUrl;
            this.BuddyIconUrl = buddyIconUrl;
            this.Status = status;
            this.Pro = pro;
            this.MaxFileSize = maxFileSize;
            this.Groups = groups;
            this.Sets = sets;
        }
    }
}