﻿
namespace Schedulr.Messages
{
    /// <summary>
    /// Defines the possible reasons the picture queue changed.
    /// </summary>
    public enum PictureQueueChangedReason
    {
        /// <summary>
        /// Indicates that the picture queue changed because the batches were normalized.
        /// </summary>
        BatchesNormalized,

        /// <summary>
        /// Indicates that the picture queue changed because pictures were added.
        /// </summary>
        PicturesAdded,

        /// <summary>
        /// Indicates that the picture queue changed because pictures were shuffled.
        /// </summary>
        PicturesShuffled
    }
}