﻿
namespace Schedulr.Models
{
    /// <summary>
    /// Determines the type of map to use for geographic locations.
    /// </summary>
    public enum GeoLocationMapType
    {
        /// <summary>
        /// The Bing map (road view).
        /// </summary>
        BingRoad,

        /// <summary>
        /// The Bing map (satellite view).
        /// </summary>
        BingSattelite,

        /// <summary>
        /// The Bing map (hybrid view).
        /// </summary>
        BingHybrid,

        /// <summary>
        /// The Yahoo map (road view).
        /// </summary>
        YahooRoad,

        /// <summary>
        /// The Yahoo map (satellite view).
        /// </summary>
        YahooSatellite,

        /// <summary>
        /// The Yahoo map (hybrid view).
        /// </summary>
        YahooHybrid,

        /// <summary>
        /// The OpenStreetMap map (road view).
        /// </summary>
        OpenStreetMapRoad
    }
}