﻿using System.Net.NetworkInformation;

namespace Schedulr.Infrastructure
{
    public static class Network
    {
        private static bool? isAvailable;

        static Network()
        {
            NetworkChange.NetworkAvailabilityChanged += (sender, e) => { isAvailable = null; };
        }

        public static bool IsAvailable()
        {
            if (!isAvailable.HasValue)
            {
                isAvailable = NetworkInterface.GetIsNetworkAvailable();
            }
            return isAvailable.Value;
        }
    }
}